Skip to main content
GET
/
v3
/
resume_search
/
match
Match a single resume and job description
curl --request GET \
  --url https://{region}.affinda.com/v3/resume_search/match \
  --header 'Authorization: Bearer <token>'
{
  "score": 0.75,
  "details": {}
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Query Parameters

resume
string
required

Identify the resume to match.

job_description
string
required

Identify the job description to match.

index
string

Optionally, specify an index to search in. If not specified, will search in all indexes.

search_expression
string

Add keywords to the search criteria.

job_titles_weight
number

How important is this criteria to the matching score, range from 0 to 1.

Required range: 0 <= x <= 1
years_experience_weight
number

How important is this criteria to the matching score, range from 0 to 1.

Required range: 0 <= x <= 1
locations_weight
number

How important is this criteria to the matching score, range from 0 to 1.

Required range: 0 <= x <= 1
languages_weight
number

How important is this criteria to the matching score, range from 0 to 1.

Required range: 0 <= x <= 1
skills_weight
number

How important is this criteria to the matching score, range from 0 to 1.

Required range: 0 <= x <= 1
education_weight
number

How important is this criteria to the matching score, range from 0 to 1.

Required range: 0 <= x <= 1
search_expression_weight
number

How important is this criteria to the matching score, range from 0 to 1.

Required range: 0 <= x <= 1
soc_codes_weight
number

How important is this criteria to the matching score, range from 0 to 1.

Required range: 0 <= x <= 1
management_level_weight
number

How important is this criteria to the matching score, range from 0 to 1.

Required range: 0 <= x <= 1

Response

The matching score between the provided resume and job description.

score
number

The matching score between the provided resume and job description.

Required range: 0 <= x <= 1
Example:

0.75

details
object